package com.company.testappsettingspro.entity;

import io.jmix.appsettings.defaults.AppSettingsDefault;
import io.jmix.appsettings.entity.AppSettingsEntity;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@JmixEntity
@Table(name = "TASP_MY_APP_SETTINGS")
@Entity
public class MyAppSettings extends AppSettingsEntity {

    @AppSettingsDefault("30")
    @Column(name = "DAYS_HISTORY")
    private Integer daysHistory;

    @AppSettingsDefault("100")
    @Column(name = "ENABLED_PRODUCTS_LIMIT")
    private Integer enabledProductsLimit;

    public Integer getDaysHistory() {
        return daysHistory;
    }

    public void setDaysHistory(Integer daysHistory) {
        this.daysHistory = daysHistory;
    }

    public Integer getEnabledProductsLimit() {
        return enabledProductsLimit;
    }

    public void setEnabledProductsLimit(Integer enabledProductsLimit) {
        this.enabledProductsLimit = enabledProductsLimit;
    }

}